.wpct-block-slider {
  margin: auto;

  &:not(.ready) + * {
    visibility: hidden;
  }
  .with-pagination{
    ul.slick-dots {
      display: flex;
      list-style: none;
      justify-content: flex-end;
  
      > li {
        margin: 0;
        display: none;
      }
  
      > li:nth-child(n + 2) {
        margin-left: 20px;
      }
      .slick-active {
        display: block;
      }
      .slick-active button {
        opacity: 1;
      }
  
      button {
        width: 10px;
        height: 10px;
        padding: 0;
        border-radius: 50%;
        font-size: 0px;
        background-color: var(--wp--preset--color--brand);
        border: none;
        cursor: pointer;
        opacity: 0.3;
  
        &:before {
          display: none;
        }
      }
    }
  }
  ul.slick-dots {
    display: flex;
    list-style: none;
    justify-content: flex-end;

    > li {
      margin: 0;
    }

    > li:nth-child(n + 2) {
      margin-left: 20px;
    }

    .slick-active button {
      opacity: 1;
    }

    button {
      width: 10px;
      height: 10px;
      padding: 0;
      border-radius: 50%;
      font-size: 0px;
      background-color: var(--wp--preset--color--brand);
      border: none;
      cursor: pointer;
      opacity: 0.3;

      &:before {
        display: none;
      }
    }
  }

  .wpct-block-slider-arrows,
  .wpct-block-slider-arrows-mobile {
    width: fit-content;
    margin: 1rem auto;
    gap: 2rem;

    .slick-arrow {
      width: 40px;
      height: 40px;
      border-radius: 50%;
      cursor: pointer;
      position: relative;
      border: none;
      outline: none;
      color: var(--wp--preset--color--typography);
      font-size: 0px;
      margin: 0 1rem;
      background-color: transparent;
      border: 2px solid var(--wp--preset--color--typography);
      transform: unset;

      &::after {
        content: "";
        position: absolute;
        height: 16px;
        width: 16px;
        border-top: 3px solid var(--wp--preset--color--typography);
        border-right: 3px solid var(--wp--preset--color--typography);
        transform: rotate(45deg);
        top: 10px;
        left: 7px;
        display: block;
      }

      &.slick-prev {
        transform: rotate(180deg);
      }

      &.slick-disabled {
        opacity: 0.4;
        cursor: default;
      }
    }
  }
}


.wp-site-blocks .wpct-block-slider-loop.wp-block-wpct-block-slider-loop {
  display: block;
}

.wpct-block-slider-arrows{
  display: flex;
}

.wpct-block-slider .wpct-block-slider-wrapper-mobile,
.wpct-block-slider .wpct-block-slider-arrows-mobile {
  display: none;
}
@media (max-width: 782px) {
  .wpct-block-slider .wpct-block-slider-wrapper-mobile {
    display: block;
  }
  .wpct-block-slider .wpct-block-slider-arrows-mobile{
    display: flex;
  }
  .wpct-block-slider .wpct-block-slider-wrapper,
  .wpct-block-slider .wpct-block-slider-arrows{
    display: none !important;
  }
}
